iCAx开思网

标题: 用过UF_MODL_create_sweep()的请进! [打印本页]

作者: nethumb    时间: 2003-8-6 13:41
标题: 用过UF_MODL_create_sweep()的请进!
我想用下面的程序实现截面曲线绕引导线扫描,连接通过了,但进入UG后,却
不执行。我把信息输出程序段分别放在UF_MODL_create_sweep前后,发现在前时有信息输出,而在后就什么也没有,i_ret前面已经定义过了。猜想是UF_MODL_create_sweep有问题。请高手指教!!::y
              UF_STRING_t s_guide,s_section,s_spine,orien_id;
    UF_METHOD_t orientation,scaling;
    int alignment,inter,body_type;
              UF_FEATURE_SIGN boolean;
    double tol[3];
    tag_t sweep_tag1;
  
      UF_MODL_init_string_list([$s_guide)]
      UF_MODL_create_string_list(1,1,[$s_guide)]
    UF_MODL_init_string_list([$s_section)]
      UF_MODL_create_string_list(1,1,[$s_section)]
    UF_MODL_init_string_list([$s_spine)]
      UF_MODL_create_string_list(1,1,[$s_spine)]
    UF_MODL_init_string_list([$orien_id)]
      UF_MODL_create_string_list(1,1,[$orien_id)]
  
    s_guide.num=1;
    s_guide.string[0]=1;
    s_guide.dir[0]=1;
    s_guide.id[0]=spline_helix_tag1;
    s_section.num=1;
    s_section.string[0]=1;
    s_section.dir[0]=1;
    s_section.id[0]=spline_chi_tag;
    s_spine.num=0;
    orientation.method=3;
    orien_id.num=1;
                  orien_id.string[0]=1;
    orien_id.dir[0]=1;
    orien_id.id[0]=spline_helix_tag2;
    orientation.id=[$orien_id]
    scaling.method=1;
    scaling.value[0]=1.0;
    alignment=1;
    body_type=1;
    boolean=UF_NULLSIGN;
    tol[0]=0.001;
    tol[1]=0.01;
    tol[2]=0.001;
     
     UF_UI_open_listing_window();
    if(i_ret==0)
      UF_UI_write_listing_window("successful");
    else
    {
      UF_UI_write_listing_window("failure");
    }
  
    
   i_ret=UF_MODL_create_sweep(&s_guide,&s_section,&s_spine,&orientation,
                        &scaling,&alignment,&inter,&body_type,boolean,tol,
              [$sweep_tag1)]  
     UF_MODL_free_string_list([$s_guide)]
      UF_MODL_free_string_list([$s_section)]
      UF_MODL_free_string_list([$s_spine)]
      UF_MODL_free_string_list([$orien_id)]




欢迎光临 iCAx开思网 (https://www.icax.org/) Powered by Discuz! X3.3